[Syslog-ng-maintainers] Bug#833283: syslog-ng: Can't upgrade to latest version

Nigel Horne njh at bandsman.co.uk
Tue Aug 2 14:54:00 BST 2016


Package: syslog-ng
Version: 3.7.3-1
Severity: important

apt-get upgrade gives this:

Setting up syslog-ng-core (3.7.3-1) ...
Job for syslog-ng.service failed because the control process exited with error code.
See "systemctl status syslog-ng.service" and "journalctl -xe" for details.
invoke-rc.d: initscript syslog-ng, action "restart" failed.
‚óŹ syslog-ng.service - System Logger Daemon
   Loaded: loaded (/lib/systemd/system/syslog-ng.service; enabled; vendor preset: enabled)
   Active: activating (auto-restart) (Result: exit-code) since Tue 2016-08-02 09:51:51 EDT; 17ms ago
     Docs: man:syslog-ng(8)
  Process: 23688 ExecStart=/usr/sbin/syslog-ng -F $SYSLOGNG_OPTS (code=exited, status=1/FAILURE)
 Main PID: 23688 (code=exited, status=1/FAILURE)
   Status: "Starting up... (Tue Aug  2 09:51:51 2016"

Aug 02 09:51:51 compaq systemd[1]: Failed to start System Logger Daemon.
Aug 02 09:51:51 compaq systemd[1]: syslog-ng.service: Unit entered failed state.
Aug 02 09:51:51 compaq systemd[1]: syslog-ng.service: Failed with result 'e...'.
Hint: Some lines were ellipsized, use -l to show in full.
dpkg: error processing package syslog-ng-core (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of syslog-ng-mod-redis:
 syslog-ng-mod-redis depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-redis (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-smtp:
 syslog-ng-mod-smtp depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-smtp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-geoip:
 syslog-ng-mod-geoip depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-geoip (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-sql:
 syslog-ng-mod-sql depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-sql (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-json:
 syslog-ng-mod-json depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-json (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng:
 syslog-ng depends on syslog-ng-core (>= 3.7.3); however:
  Package syslog-ng-core is not configured yet.
 syslog-ng depends on syslog-ng-mod-sql; however:
  Package syslog-ng-mod-sql is not configured yet.
 syslog-ng depends on syslog-ng-mod-json; however:
  Package syslog-ng-mod-json is not configured yet.

dpkg: error processing package syslog-ng (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-stomp:
 syslog-ng-mod-stomp depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-stomp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-mongodb:
 syslog-ng-mod-mongodb depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-mongodb (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-graphite:
 syslog-ng-mod-graphite depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-graphite (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of syslog-ng-mod-riemann:
 syslog-ng-mod-riemann depends on syslog-ng-abi-3.7-0; however:
  Package syslog-ng-abi-3.7-0 is not installed.
  Package syslog-ng-core which provides syslog-ng-abi-3.7-0 is not configured yet.

dpkg: error processing package syslog-ng-mod-riemann (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 syslog-ng-core
 syslog-ng-mod-redis
 syslog-ng-mod-smtp
 syslog-ng-mod-geoip
 syslog-ng-mod-sql
 syslog-ng-mod-json
 syslog-ng
 syslog-ng-mod-stomp
 syslog-ng-mod-mongodb
 syslog-ng-mod-graphite
 syslog-ng-mod-riemann
E: Sub-process /usr/bin/dpkg returned an error code (1)



-- System Information:
Debian Release: stretch/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.6.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages syslog-ng depends on:
ih  syslog-ng-core         3.7.3-1
iu  syslog-ng-mod-json     3.7.3-1
iu  syslog-ng-mod-mongodb  3.7.3-1
iu  syslog-ng-mod-sql      3.7.3-1

Versions of packages syslog-ng recommends:
iu  syslog-ng-mod-geoip     3.7.3-1
iu  syslog-ng-mod-graphite  3.7.3-1
ii  syslog-ng-mod-journal   3.7.3-1
ii  syslog-ng-mod-python    3.7.3-1
iu  syslog-ng-mod-redis     3.7.3-1
iu  syslog-ng-mod-riemann   3.7.3-1
iu  syslog-ng-mod-smtp      3.7.3-1
iu  syslog-ng-mod-stomp     3.7.3-1

syslog-ng suggests no packages.

-- no debconf information




More information about the Syslog-ng-maintainers mailing list